<?php
/*
Plugin Name: ECSStender
Plugin URI: http://www.onigoetz.ch/plugins/wordpress-jquery-fullsize-plugin/
Description: Used to overlay images on the current page. jQuery required
Version: 0.1
Author: Stéphane Goetz
Author URI: http://www.onigoetz.ch
*/

/*
** Options and install
*/
register_activation_hook( __FILE__, 'ecsstender_install');
function ecsstender_install(){
    $default_options = array('available' => array(), 'installed' => array());
    add_option('ecsstender_plugin', $default_options);
}

add_action('admin_menu', 'ecsstender_options_page');
function ecsstender_options_page() {
	add_options_page('eCSStender Options', 'eCSStender', 10, 'ecsstender-take-control-of-your-css/options.php');
}

/*
** Plugin
*/
add_action('init', 'ecsstender_init');
function ecsstender_init() {
    $ecsstender_path =  get_bloginfo('wpurl')."/wp-content/plugins/ecsstender-take-control-of-your-css/";
    $options = get_option('ecsstender_plugin');

    //Add principal script to the page
    if (!strstr($_SERVER['REQUEST_URI'], 'wp-admin')) { // if we are *not* viewing an admin page, like writing a post or making a page:
            wp_enqueue_script('eCSStender', $ecsstender_path."js/eCSStender.min.js");
    }

    //wp_enqueue_script('fullsize', (get_bloginfo('wpurl')."/wp-content/plugins/ecsstender/eCSStender.min.js"), array('jquery'), '1.0');
    foreach($options['installed'] as $installed){
        $infos = $options['available'][$installed];
        //Base scripts
        if($infos['needs'] != ''){
            wp_enqueue_script($installed, $ecsstender_path."extensions/".$installed, array(strtolower($infos['needs'])));
        } else {
            wp_enqueue_script($installed, $ecsstender_path."extensions/".$installed);
        }

        //Dependencies
        if($infos['scripts'] != ''){
            if(stripos($infos['scripts'], ',') !== false){
                $scripts = explode(',', $infos['scripts']);
                foreach($scripts as $script){
                    wp_enqueue_script($script, $ecsstender_path."js/".trim($script));
                }
            } else {
                wp_enqueue_script($infos['scripts'], $ecsstender_path."js/".trim($infos['scripts']));
            }
        }
    }
}